Loading...
Searching...
No Matches
Alembic::Ogawa::ALEMBIC_VERSION_NS::OGroup Class Reference
Inheritance diagram for Alembic::Ogawa::ALEMBIC_VERSION_NS::OGroup:
[legend]
Collaboration diagram for Alembic::Ogawa::ALEMBIC_VERSION_NS::OGroup:
[legend]

## Classes

class | PrivateData

## Public Member Functions

OGroupPtr | addGroup ()
ODataPtr | addData (Alembic::Util::uint64_t iSize, const void *iData)
ODataPtr | addData (Alembic::Util::uint64_t iNumData, const Alembic::Util::uint64_t *iSizes, const void **iDatas)
ODataPtr | createData (Alembic::Util::uint64_t iSize, const void *iData)
ODataPtr | createData (Alembic::Util::uint64_t iNumData, const Alembic::Util::uint64_t *iSizes, const void **iDatas)
void | addData (ODataPtr iData)
void | addGroup (OGroupPtr iGroup)
void | addEmptyGroup ()
void | addEmptyData ()
void | freeze ()
bool | isFrozen ()
Alembic::Util::uint64_t | getNumChildren () const
bool | isChildGroup (Alembic::Util::uint64_t iIndex) const
bool | isChildData (Alembic::Util::uint64_t iIndex) const
bool | isChildEmptyGroup (Alembic::Util::uint64_t iIndex) const
bool | isChildEmptyData (Alembic::Util::uint64_t iIndex) const
void | replaceData (Alembic::Util::uint64_t iIndex, ODataPtr iData)

## Friends

class | OArchive

The documentation for this class was generated from the following files:

- Ogawa/OGroup.h
- Ogawa/OGroup.cpp